## steam 1.0.0.59

=== Makefile ===
#! /bin/make -f

all:
	@echo 'Run steam with "./steam" or install it with "sudo make install"'

install: install-bin install-docs install-icons install-bootstrap install-desktop install-apt-source

install-bin:
	install -d -m 755 $(DESTDIR)$(PREFIX)/bin/
	install -p -m 755 $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/
	install -p -m 755 $(PACKAGE)deps $(DESTDIR)$(PREFIX)/bin/

install-docs:
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/doc/$(PACKAGE)/
	install -p -m 644 README steam_subscriber_agreement.txt $(DESTDIR)$(PREFIX)/share/doc/$(PACKAGE)/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/man/man6/
	install -m 644 $(PACKAGE).6 $(DESTDIR)$(PREFIX)/share/man/man6/

install-icons:
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/
	install -p -m 644 icons/16/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/24x24/apps/
	install -p -m 644 icons/24/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/24x24/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/256x256/apps/
	install -p -m 644 icons/256/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/256x256/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/32x32/apps/
	install -p -m 644 icons/32/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/32x32/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/
	install -p -m 644 icons/48/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/pixmaps/
	install -p -m 644 icons/48/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/pixmaps/
	install -p -m 644 icons/48/$(PACKAGE)_tray_mono.png $(DESTDIR)$(PREFIX)/share/pixmaps/

install-bootstrap:
	install -d -m 755 $(DESTDIR)$(PREFIX)/lib/$(PACKAGE)/
	install -p -m 644 bootstraplinux_ubuntu12_32.tar.xz $(DESTDIR)$(PREFIX)/lib/$(PACKAGE)/

install-desktop:
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/applications/
	install -p -m 644 $(PACKAGE).desktop $(DESTDIR)$(PREFIX)/share/applications/

install-apt-source:
	if [ -d /etc/apt ]; then \
		install -d -m 755 $(DESTDIR)/etc/apt/sources.list.d/; \
		install -p -m 644 $(PACKAGE).list $(DESTDIR)/etc/apt/sources.list.d/; \
		install -d -m 700 $(CURDIR)/gpg; \
		gpg --homedir=$(CURDIR)/gpg --no-default-keyring --keyring=$(CURDIR)/steam.gpg --import steam-key.asc; \
		install -d -m 755 $(DESTDIR)/etc/apt/trusted.gpg.d/; \
		install -p -m 644 steam.gpg $(DESTDIR)/etc/apt/trusted.gpg.d/; \
		rm -rf $(CURDIR)/steam.gpg* $(CURDIR)/gpg; \
	fi

#########################
CLIENT=../../../../client
BINARIES=$(CLIENT)/ubuntu12_32
PACKAGE=steam
PREFIX?=/usr

RUNTIME_FILES := \
	steam-runtime/COPYING						\
	steam-runtime/README.txt					\
	steam-runtime/common-licenses					\
	steam-runtime/i386/lib/i386-linux-gnu/libgcc_s.so.1		\
	steam-runtime/i386/usr/lib/gcc/i686-linux-gnu/4.6.3		\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libstdc++.so.6	\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libstdc++.so.6.0.21	\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libX11.so.6		\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libX11.so.6.3.0	\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libXau.so.6		\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libXau.so.6.0.0	\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libxcb.so.1		\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libxcb.so.1.1.0	\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libXdmcp.so.6		\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libXdmcp.so.6.0.0	\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libXext.so.6		\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libXext.so.6.4.0 	\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libXinerama.so.1	\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libXinerama.so.1.0.0	\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libXrandr.so.2 \
	steam-runtime/i386/usr/lib/i386-linux-gnu/libXrandr.so.2.2.0	\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libXrender.so.1	\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libXrender.so.1.3.0	\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libfreetype.so.6	\
	steam-runtime/i386/usr/lib/i386-linux-gnu/libfreetype.so.6.8.0	\
	steam-runtime/i386/usr/share/doc/gcc-4.6-base/copyright		\
	steam-runtime/i386/usr/share/doc/libgcc1			\
	steam-runtime/i386/usr/share/doc/libstdc++6			\
	steam-runtime/i386/usr/share/doc/libx11-6/copyright		\
	steam-runtime/i386/usr/share/doc/libxau6/copyright		\
	steam-runtime/i386/usr/share/doc/libxcb1/copyright		\
	steam-runtime/i386/usr/share/doc/libxrandr2/copyright		\
	steam-runtime/i386/usr/share/doc/libxrender1/copyright		\
	steam-runtime/i386/usr/share/doc/libfreetype6/copyright		\
	steam-runtime/i386/usr/share/doc/libxdmcp6/copyright


check-version:
	./check_version.sh $(CLIENT)/bin_steam.sh debian/changelog

source-package: check-version
	install -p -m 755 $(CLIENT)/bin_steam.sh $(PACKAGE)
	install -p -m 755 $(CLIENT)/bin_steamdeps.py $(PACKAGE)deps
	install -p -m 644 $(CLIENT)/public/steam_tray_mono.png icons/48/$(PACKAGE)_tray_mono.png
	mkdir -p bootstrap/ubuntu12_32
	mkdir -p bootstrap/linux32
	install -p -m 755 $(CLIENT)/linux32/steamerrorreporter bootstrap/linux32
	install -p -m 755 $(CLIENT)/steam.sh bootstrap/
	install -p -m 644 $(CLIENT)/steamdeps.txt bootstrap/
	install -p -m 755 $(BINARIES)/steam bootstrap/ubuntu12_32/
	install -p -m 755 $(BINARIES)/crashhandler.so bootstrap/ubuntu12_32/
	cat $(BINARIES)/steam-runtime.tar.xz.part* | tar xJf - -C bootstrap/ubuntu12_32/ $(RUNTIME_FILES)
	(cd bootstrap; tar caf ../bootstraplinux_ubuntu12_32.tar.xz *)
	rm -rf bootstrap
	dpkg-buildpackage -S -us -uc

.PHONY: all install install-bin install-docs install-icons install-bootstrap install-desktop install-apt-source check-version source-package

=== debian/changelog ===
steam (1.0.0.59-4) unstable; urgency=medium

  * Demote steam-devices to a recommendation.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 04 Feb 2019 02:41:50 +0000

steam (1.0.0.59-3) unstable; urgency=medium

  * Add Conflicts/Replaces on steam-launcher.
    steam-launcher is a Valve-provided package containing the same
    launcher as Debian's steam package, and the same udev rules as
    Debian's steam-devices package. They are not co-installable: please
    install the steam and steam-devices packages from Debian non-free,
    *or* the steam and steam-launcher packages from Valve, but do not
    mix the two sources.
  * steam-devices: Add Breaks/Replaces on non-matching versions of
    steam. This should prevent mixing Debian's steam and steam-devices
    with Valve's steam-launcher and steam, while allowing switching
    between the two to work. (Closes: #920600)
  * d/scripts/steam: Delete libxcb-dri3.so.0 from the Steam Runtime,
    and add a versioned dependency on a newer version for the host
    system. This library added ABI without increasing the -version-info,
    which means the Steam launcher script can't decide that Debian's
    copy is newer and use it in preference to the Steam Runtime copy.
    (Closes: #921026)
  * Version the dependencies on libgpg-error0 and libxinerama1 to make
    sure the copies on the host system are at least as new as those
    provided by the Steam Runtime.
  * d/steam.bug-control: Add more information to bug reports

 -- Simon McVittie <smcv@debian.org>  Fri, 01 Feb 2019 11:34:54 +0000

steam (1.0.0.59-2) unstable; urgency=medium

  * Revert "Adjust VCS metadata for debian/experimental branch"
  * Use DEP-14 branch name debian/master
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 25 Jan 2019 11:24:26 +0000

steam (1.0.0.59-1) experimental; urgency=medium

  * New upstream release
  * get-orig-source: Use chdist to download Valve's "source" package
    with secure-APT authentication
    - d/valve-steam-keyring.gpg: Add the signing key for Valve's apt
      repository
  * d/p/udev-permissions.patch: Update for new upstream udev rules
    - new HID device 28de:2102 is now included in 60-steam-vr.rules
  * d/gbp.conf: Explicitly disable pristine-tar for this package.
    We don't keep upstream "source" in the git repository since that
    mostly consists of binary blobs.
  * Display a debconf note if the Nvidia proprietary kernel module is
    loaded, but the corresponding i386 libraries are not found.
    This seems to be the best we can do without adding a Recommends
    on the i386 libraries, which would pull in the binary driver even
    on systems that do not have Nvidia hardware. (See #918996)
  * d/scripts/steam: Cope with different installation directories,
    such as ~/.local/share/Steam from Valve's official packaging,
    without data loss (Closes: #919467)
  * d/scripts/steam: Install to a subdirectory of ~/.steam for new
    installations, to avoid ~/.steam/steam trying to be two things
    at once (Closes: #916303)
  * Adjust VCS metadata for debian/experimental branch

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Jan 2019 10:05:36 +0000

steam (1.0.0.56-2) unstable; urgency=medium

  * Add myself to Uploaders
  * Import debian/ into salsa.debian.org git (Closes: #913651)
  * d/copyright.in: Really refer to the https form of copyright-format.
    d/copyright is generated from d/copyright.in and license files.
    (Closes: #916300)
  * Upgrade steam-devices to a hard dependency.
    The udev rules are increasingly used by the Steam client for input
    remapping, even if no Steam-specific hardware is used. (Closes: #916298)
  * Allow cross-compilation for i386 on a non-i386 build machine
    (Closes: #916301)
  * steam-devices: Mark as Multi-Arch: foreign.
    Otherwise, this package can't satisfy the steam package's dependency
    when installed with `dpkg -i` on an amd64 system (at which time it is
    assumed to belong to the host architecture), as opposed to when it
    is found in the Packages file for an i386 apt repository.
  * d/scripts/steam: Quote variables defensively
  * Demote nvidia-driver-libs-i386 from Recommends to Suggests.
    These drivers are only required on systems where the NVIDIA proprietary
    driver is in use, but the amd64 proprietary driver in nvidia-driver-libs
    already Recommends nvidia-driver-libs-i386, and the kernel driver
    nvidia-kernel-dkms Recommends nvidia-driver, which Depends on
    nvidia-driver-libs; so the only way a user of the proprietary NVIDIA
    driver could fail to have nvidia-driver-libs:i386 installed is if
    they are already disregarding Recommends.
    Keeping this driver in our Suggests means its presence or absence will
    normally be mentioned in bug reports for this package.
  * Normalize dependency lists into lexicographic order (wrap-and-sort -ast)
  * Recommend Mesa Vulkan ICDs, and suggest NVIDIA Vulkan ICD
    (Closes: #916404)
  * Set Rules-Requires-Root to no
  * Standards-Version: 4.3.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 28 Dec 2018 20:12:40 +0000

steam (1.0.0.56-1) unstable; urgency=medium

  * New upstream release
  * Update standards version.
  * Drop zenity from the recommended packages.
  * Add uaccess to the udev rules (closes: #907731).
  * Recommend fontconfig and ca-certificates (closes: #907813).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 03 Sep 2018 02:42:51 +0000

steam (1.0.0.55-1) unstable; urgency=medium

  * New upstream release.
    - New VR and controller devices supported.
    - Upstream license has been completely revised.
  * Add AppStream metadata about supported hardware.
  * Disable steam client crash minidumps by default.
  * Include upstream changelog in the binary packages.
  * Remove partial files after a failed download (closes: #860950).
  * Output a warning if the hardware does not support sse2 (closes: #903870).



=== debian/control ===
Source: steam
Section: non-free/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Michael Gilbert <mgilbert@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper (>= 11),
 libx11-6,
 python3:any,
Rules-Requires-Root: no
XS-Autobuild: yes
Standards-Version: 4.3.0
Homepage: http://www.steampowered.com
Vcs-Git: https://salsa.debian.org/games-team/steam.git
Vcs-Browser: https://salsa.debian.org/games-team/steam

Package: steam
Architecture: i386
Multi-Arch: foreign
Pre-Depends:
 debconf,
 ${misc:Pre-Depends},
Depends:
 libgl1-mesa-dri,
 libgl1-mesa-dri (>= 17.3) | libtxc-dxtn0,
 libgl1-mesa-glx,
 libgpg-error0 (>= 1.10),
 libudev1,
 libxcb-dri3-0 (>= 1.11.1),
 libxinerama1 (>= 2:1.1.1),
 xz-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 steam-devices,
 ca-certificates,
 fontconfig,
 fonts-liberation,
 libxss1,
 mesa-vulkan-drivers,
 xterm | x-terminal-emulator,
Suggests:
 nvidia-driver-libs-i386,
 nvidia-vulkan-icd,
Conflicts:
 steam-launcher,
Replaces:
 steam-launcher,
Description: Valve's Steam digital software delivery system
 Steam (http://www.steampowered.com) is a software content delivery system
 developed by Valve software (http://www.valvesoftware.com).  There is
 some free software available, but for the most part the content delivered
 is non-free.
 .
 This package comes with a fairly substantial non-free license agreement
 that must be accepted before installing the software.  If you have any
 opposition to non-free work, please select "I DECLINE" during the package
 installation dialogs.   There are also additional agreements in various
 parts of the application that differ from the original agreement.  In
 other words, pay attention and read carefully if you're worried about your
 rights.

Package: steam-devices
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 steam,
Breaks:
 steam (<< ${source:Version}),
 steam (>= ${source:Version}.),
Conflicts:
 steam-launcher,
Replaces:
 steam (<< ${source:Version}),
 steam (>= ${source:Version}.),
 steam-launcher,
Description: Device support for Steam-related hardware
 This package provides udev rules for various Steam-related hardware devices
 such as the Steam Controller (gamepad) and the HTC Vive (virtual reality
 headset).

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

uversion=$(shell uscan --report --dehs |grep upstream-version | cut -d\< -f2 | cut -d\> -f2)
keepers=icons lib changelog steam.6 steam steam.desktop steam_subscriber_agreement.txt
orig=../steam_$(uversion).orig.tar.xz
dest=../steam-$(uversion).orig

build-arch:
ifneq ($(DEB_HOST_ARCH), i386)
	@echo "error: $(DEB_HOST_ARCH) is not a supported architecture"
	@exit 1
endif

%:
	dh $@

override_dh_auto_configure:
	./debian/scripts/templates-helper

override_dh_strip:
	# Valve's binaries have no symbols, so a dbgsym package is not useful
	dh_strip --no-automatic-dbgsym

override_dh_clean:
	dh_clean -- debian/templates
	./debian/scripts/copyright-helper debian/copyright.in debian/copyright

get-orig-source:
	@test "$(uversion)" = "" && \
	    echo "There is no new upstream source file." && exit 1 || true
	mkdir get-orig
	mkdir get-orig/chdist
	chdist -d $(CURDIR)/get-orig/chdist create steam http://repo.steampowered.com/steam precise steam
	cp debian/valve-steam-keyring.gpg get-orig/chdist/steam/etc/apt/trusted.gpg.d/
	chdist -d $(CURDIR)/get-orig/chdist apt-get steam update
	cd get-orig && chdist -d $(CURDIR)/get-orig/chdist apt-get steam source -d steam=$(uversion)
	rm -f $(orig)
	mkdir -p $(dest)
	tar xf get-orig/steam_$(uversion).tar.gz --strip-components=1 -C $(dest)
	rm -rf get-orig
	mv $(dest)/debian/changelog $(dest)
	rm -f $(dest)/steam
	cd $(dest) && tar xf bootstrap*.tar.* --strip-components=1
	cd $(dest) && for file in *; do \
	    echo $(keepers) | grep -q $$file || rm -rf $$file; done
	tar cJf $(orig) $(dest)
	rm -rf $(dest)
	@echo "Successfully created new upstream source file: $(orig)"

## steam 1.0.0.61

=== debian/changelog ===
steam (1:1.0.0.61-2ubuntu3) focal; urgency=medium

  * Revert some appstream fields to satisfy GNOME Software (LP: #1864635)

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Mon, 09 Mar 2020 21:57:14 +0000

steam (1:1.0.0.61-2ubuntu2) focal; urgency=medium

  * Update appstream data so that Steam is displayed in software centers.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Wed, 04 Mar 2020 17:22:06 +0100

steam (1:1.0.0.61-2ubuntu1) focal; urgency=medium

  * Merge from Debian Sid (LP: #1796464).
    - Add an epoch to the version number.
    - Add steam-installer package that depends on steam and contains
      appstream metadata to allow Steam to be installed via appsteam enabled
      software centers.
    - Drop debian/steam.preinst because the dconf question it is not supported
      by all software centers.
    - Modify template-helper script for Ubuntu.
    - Modify debian/steam.bug-control for Ubuntu.
    - Disable copyright-helper script in debian/rules.
    - Standards-Version: 4.5.0 (no changes required)

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Sat, 22 Feb 2020 10:55:30 +0000

steam (1.0.0.61-2) unstable; urgency=medium

  * Upload to unstable
  * d/control: Make Homepage more specific
  * Standards-Version: 4.4.0 (no changes required)
  * Use debhelper-compat 12

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Jul 2019 08:50:02 +0100

steam (1.0.0.61-1) experimental; urgency=medium

  * New upstream release
    - Adds udev rules for NVIDIA Shield input hardware
    - d/p/udev-uinput.patch: Drop, applied upstream
    - d/p/udev-permissions.patch: Drop, mostly applied upstream.
      The only remaining differences in our package were:
      + Setting TAG+="uaccess" twice on SteamVR device nodes, which
        we can drop since it's redundant (once is enough)
      + Setting MODE="0660" on /dev/uinput, which is the default anyway

 -- Simon McVittie <smcv@debian.org>  Fri, 21 Jun 2019 13:10:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: steam
 Section: non-free/games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  libx11-6,
  python3:any,
 Rules-Requires-Root: no
 XS-Autobuild: yes
-Standards-Version: 4.3.0
-Homepage: http://www.steampowered.com
+Standards-Version: 4.5.0
+Homepage: https://steamcommunity.com/linux
 Vcs-Git: https://salsa.debian.org/games-team/steam.git
 Vcs-Browser: https://salsa.debian.org/games-team/steam
 
@@ -23,7 +24,6 @@
  debconf,
  ${misc:Pre-Depends},
 Depends:
- libgl1-mesa-dri,
  libgl1-mesa-dri (>= 17.3) | libtxc-dxtn0,
  libgl1-mesa-glx,
  libgpg-error0 (>= 1.10),
@@ -42,15 +42,14 @@
  mesa-vulkan-drivers,
  xterm | x-terminal-emulator,
 Suggests:
- nvidia-driver-libs-i386,
- nvidia-vulkan-icd,
+  libnvidia-gl-390 | libnvidia-gl-435 | libnvidia-gl-440,
 Conflicts:
  steam-launcher,
 Replaces:
  steam-launcher,
 Description: Valve's Steam digital software delivery system
- Steam (http://www.steampowered.com) is a software content delivery system
- developed by Valve software (http://www.valvesoftware.com).  There is
+ Steam (https://www.steampowered.com) is a software content delivery system
+ developed by Valve software (https://www.valvesoftware.com).  There is
  some free software available, but for the most part the content delivered
  is non-free.
  .
@@ -61,6 +60,27 @@
  parts of the application that differ from the original agreement.  In
  other words, pay attention and read carefully if you're worried about your
  rights.
+
+Package: steam-installer
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ steam (= ${source:Version}),
+Description: Installer for Valve's Steam digital software delivery system
+ Steam (https://www.steampowered.com) is a software content delivery system
+ developed by Valve software (https://www.valvesoftware.com).  There is
+ some free software available, but for the most part the content delivered
+ is non-free.
+ .
+ This package enables Steam to be easily installed via an appstream client
+ on non-i386 systems as long as the i386 foreign architecture is configured.
+ This is the default on Ubuntu, but on Debian, you may need to run as root:
+ dpkg --add-architecture i386; apt update
+ .
+ This package is not needed if you only want to install Steam directly with
+ apt or with a non-appstream client like Synaptic.
 
 Package: steam-devices
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export DH_VERBOSE=1
 
+dversion=$(shell dpkg-parsechangelog | grep ^Version | cut -d' ' -f2 | cut -d':' -f 2)
 uversion=$(shell uscan --report --dehs |grep upstream-version | cut -d\< -f2 | cut -d\> -f2)
 keepers=icons lib changelog steam.6 steam steam.desktop steam_subscriber_agreement.txt
 orig=../steam_$(uversion).orig.tar.xz
@@ -25,7 +26,13 @@
 
 override_dh_clean:
 	dh_clean -- debian/templates
-	./debian/scripts/copyright-helper debian/copyright.in debian/copyright
+	# Disabled
+	#./debian/scripts/copyright-helper debian/copyright.in debian/copyright
+
+# Don't use an epoch for steam-installer
+override_dh_gencontrol:
+	dh_gencontrol -psteam-installer -- -v$(dversion)
+	dh_gencontrol --remaining-packages
 
 get-orig-source:
 	@test "$(uversion)" = "" && \

## steam 1.0.0.62

=== subprojects/python-vdf/requirements.txt ===
mock
pytest==3.3.0
pytest-cov==2.6.0

=== debian/changelog ===
steam (1:1.0.0.62) beta; urgency=medium

  * build: Adapt for newer Steam Runtime builds.
    In newer runtimes, steam-runtime/i386 is populated with symlinks
    into steam-runtime/lib and steam-runtime/usr, rather than containing
    regular files.
  * build: Populate source package using a Python script.
    This takes care of downloading all the necessary bits from the Steam
    client, and repacking the Steam runtime and some other Steam binaries
    into the bootstrap tarball.
  * debian: Add an epoch to the version number.
    This makes this package supersede the outdated steam package in Ubuntu,
    which has an epoch as a result of an unrelated package "sTeam" that
    existed in historical Ubuntu versions.
  * Take over responsibility for steam_tray_mono.png,
    bin_steam.sh, bin_steamdeps.py from Steam client.
  * bin_steam.sh: Remove redirection to a log file.
    This is not particularly useful in practice, and can easily be replaced
    with ordinary Unix shell redirection when debugging the client or a
    game. We can't rely on it anyway, because third-party packages don't
    tend to do this. (Fixes: steam-for-linux#6901)
  * bin_steam.sh: Add a brief header identifying this file
  * bin_steam.sh: Simplify version management by making it dotted-decimal
  * bin_steam.sh: Include full .deb version number, except for epoch
  * bin_steam.sh: If run directly, default to non-beta Steam universe
  * bin_steam.sh: Use a more robust way to set up ~/.steam/steam symlink
  * bin_steam.sh: Make Ubuntu 20.04 show the .desktop file as "trusted"
  * bin_steam.sh: chmod the .desktop file a+x, not just +x.
    To mark a .desktop file as "trusted" on most desktops, it needs to be
    a+x, which differs from +x under a restrictive umask.
  * bin_steam.sh: Only copy .desktop file to desktop if system-wide.
    The .desktop file hard-codes the path to the executable, so it's only
    suitable for system-wide installations.
  * bin_steam.sh: Prefer content that is adjacent to the script.
    Install all the essential bits into $(pkglibdir).
  * bin_steam.sh: Exit unsuccessfully if a command fails.
  * Add steam and steamdeps symlinks.
    The README says you can run ./steam, so let's make sure you can.
  * bin_steamdeps.py: Use python3.
    Python 2 is EOL, and will not be in Ubuntu 20.04.
    (Fixes steam-for-linux#6869, #6634)
  * bin_steamdeps.py: Cope with Ubuntu 14.04 graphics stack backported
    to 12.04. (Note that the Steam client is no longer supported on 12.04.)
  * bin_steamdeps.py: Print diagnostics to stderr.
    If we print them to stdout, which is fully-buffered by default, then
    they will not necessarily be shown before we actually try to install
    the packages in question.
    Instead, print them to stderr, which is line-buffered by default.
  * bin_steamdeps.py: Fall back to x-terminal-emulator.
  * bin_steamdeps.py: Install libgl1 instead of libgl1-mesa-glx if GLVND.
    libgl1 is the GLVND dispatcher, and replaces the transitional package
    libgl1-mesa-glx, which is likely to disappear in future versions of
    Debian/Ubuntu.
  * bin_steamdeps.py: Remap package names, not complete dependencies.
    This is a lot simpler, and is all we actually need in practice.
  * bin_steamdeps.py: Explicitly depend on amd64 libc and GL stack
  * bin_steamdeps.py: Ignore python-apt.
    Steam claims to need python-apt, but as far as anyone can tell, it
    actually doesn't. (Part of steam-for-linux#6869, #6634)
  * debian: Depend on apt instead of python-apt.
    We ask for python-apt, but we don't seem to actually use it; the
    bin_steamdeps.py script calls out to apt subprocesses instead.
    (Part of steam-for-linux#6869, #6634)
  * debian: Recommend xdg-utils, except on SteamOS
    (Fixes steam-for-linux#2200)
  * debian: Build-Depend on dh-python, with alternative for older distros.
    Building the source package on anything newer than Ubuntu 12.04 'precise'
    or SteamRT 1 'scout' will need dh-python.
  * d/control: Build-depend on perl, for prove(1)
    This is used to run QA checks.
  * Move bootstrap and version checks from Makefile into tests/
  * check_version.sh: Cope with epoch and/or suffix in package version
  * Import steam-devices udev rules from
    <https://github.com/ValveSoftware/steam-devices/> as a subproject:
    - add ZeroPlus P4 (hitbox) hidraw device, 0c12:0ef6
  * Add brief details of the subprojects and their bug reporting addresses
  * d/copyright: Add copyright/licensing details for some open-source parts
    of this package
  * Add some .gitignore files
  * Remove references to steamrepo@list.valvesoftware.com.
    This mailing list no longer exists.
  * d/README.source: Add some documentation for maintainers
  * Ship a known-good binary-blob public key, taken from 1.0.0.61.
    We install this into /etc, so it isn't great if it changes every time
    we rebuild the package. Freeze it at a known-good version, and
    document how to regenerate it in debian/README.source.

 -- Simon McVittie <smcv@collabora.com>  Fri, 06 Mar 2020 16:01:57 +0000

steam (1.0.0.61) precise; urgency=medium

  * Update udev rules

 -- TTimo <ttimo@valvesoftware.com>  Wed, 10 Apr 2019 11:45:24 -0500

steam (1.0.0.60) precise; urgency=medium

  * Updates to the bootstraping logic and bootstraping runtime

 -- TTimo <ttimo@valvesoftware.com>  Mon, 08 Apr 2019 14:17:42 -0500

steam (1.0.0.59) precise; urgency=medium

  * Update udev rules.
  * Add --run option to the steam command, will exec a command through run.sh in the steam runtime environment.

 -- TTimo <ttimo@valvesoftware.com>  Wed, 24 Oct 2018 18:33:34 -0500

steam (1.0.0.58) precise; urgency=medium

  * Bump version, iterate on the internal build systems.

 -- TTimo <ttimo@valvesoftware.com>  Thu, 27 Sep 2018 18:36:04 -0500

steam (1.0.0.57) precise; urgency=medium

  * Bump version to match the internal steambeta package version.

 -- TTimo <ttimo@valvesoftware.com>  Wed, 26 Sep 2018 21:50:39 -0500

=== debian/control ===
Source: steam
Section: games
Priority: optional
Maintainer: Valve Corporation <linux@steampowered.com>
Build-Depends: debhelper (>= 8.0.0),
               dh-python | python3 (<< 3.3.2-10~),
               perl,
               python3
Standards-Version: 3.9.4
Homepage: http://www.steampowered.com/

Package: steam-launcher
Architecture: all
Multi-Arch: foreign
Replaces: steam, steam64
Breaks: steam64
Depends: ${misc:Depends},
         ${python3:Depends},
         apt,
         ca-certificates,
         curl,
         file,
         libc6 (>= 2.15),
         libnss3 (>= 2:3.26),
         python3,
         xterm | gnome-terminal | konsole | x-terminal-emulator,
         xz-utils,
         zenity
Recommends: jockey-common,
            sudo,
            xdg-utils | steamos-base-files,
Description: Launcher for the Steam software distribution service
 Steam is a software distribution service with an online store, automated
 installation, automatic updates, achievements, SteamCloud synchronized
 savegame and screenshot functionality, and many social features.

Package: steam
Section: oldlibs
Priority: extra
Architecture: i386
Depends: steam-launcher (>= ${source:Version})
Description: Launcher for the Steam software distribution service
 This is a transitional package that can be safely removed once steam-launcher is installed.

## steam 1.0.0.64

=== debian/changelog ===
steam (1:1.0.0.64) beta; urgency=medium

  [ Simon McVittie ]
  * steamdeps: Recognise xenial as a LTS HWE stack.
    Ubuntu 14.04.6 LTS comes with a backported Ubuntu 16.04.x graphics stack,
    so we need to install libgl1-mesa-glx-lts-xenial and other xenial-derived
    packages instead of the original Ubuntu 14.04.0 versions. (T21844)
  * Remove Recommends: jockey-common.
    According to steam-for-linux#6634, this was the "Additional Drivers"
    module in older Ubuntu, which is no longer present in any supported
    Ubuntu release. Thanks to @BryanQuigley

  [ Ludovico de Nittis ]
  * steam.list: Download updates via https (T21740)
    In older versions of apt (lower than 1.6) we need to install
    apt-transport-https to use https repositories, so do that.
  * steam.list: Switch the suite from precise to stable
    (Fixes: steam-for-linux#4436)
  * steam.list: Add commented-out apt sources for the beta launcher
  * bin_steamdeps: use python-apt for "is_provided" check.
    `apt-cache showpkg` output was intended to be human readable.
    In the apt version shipped with Ubuntu 20.04 they added additional
    information to the "Reverse Provides" field, and that could break our
    parsing.
    Instead, using python-apt, is safer and we will be able to avoid these
    kind of problems in the future.
    (T21880)
  * bin_steamdeps: use --wait option for gnome-terminal if it is available.
    The --disable-factory option is no longer available upstream and in
    Debian, although Ubuntu patches it back in. (T22095)
  * bin_steamdeps: remove deprecated '-e' option in gnome-terminal

 -- Simon McVittie <smcv@collabora.com>  Wed, 24 Jun 2020 11:21:03 +0100

steam (1:1.0.0.63) beta; urgency=medium

  [ Ludovico de Nittis ]
  * debian/steam-launcher.postinst: Notify udevd to reload its rules.
    This means the steam-devices rules should take effect immediately,
    instead of being deferred until after the next reboot. (T19535)
  * bin_steamdeps.py: Remove unused, misleading lineNumber variable
  * bin_steamdeps.py: Conform to PEP-8

  [ Arnaud Rebillout ]
  * bin_steam.sh: Don't overwrite steam.desktop if it's a symlink.
    In a pre-configured distro like SteamOS, ~/Desktop/steam.desktop
    might already be a symlink to /usr/share/applications/steam.desktop,
    in which case overwriting it is pointless. (T21633)

  [ Simon McVittie ]
  * Update steam-devices subproject up to 2020-06-05
    - Add HORIPAD for Nintendo Switch (thanks, @BrokenGale)
      (Fixes: steam-for-linux#6944, steam-devices#7)
    - Add ASTRO C40 controller (thanks, @exhumer2)
      (Fixes: steam-devices#5)
    - Add PowerA Nintendo Switch Controller (thanks, @blazingkin)
      (Fixes: steam-devices#6)
    - Add a workaround for PowerA Wireless Controller
      (thanks, Andrey Smirnov) (Fixes: steam-devices#9; T21767)
  * Update python-vdf subproject to version 3.3
  * Bootstrap using updated Steam client:
    - Client timestamp 1591251555 (2020-06-04)
    - Steam Runtime version 0.20200505.0

 -- Simon McVittie <smcv@collabora.com>  Tue, 09 Jun 2020 11:32:58 +0100

## steam 1.0.0.66

=== debian/changelog ===
steam (1:1.0.0.66) beta; urgency=medium

  * Bootstrap using updated Steam client:
    - Client timestamp 1595977781 (2020-07-28)
    - Steam Runtime version 0.20200604.0

 -- Simon McVittie <smcv@collabora.com>  Wed, 29 Jul 2020 16:43:18 +0100

steam (1:1.0.0.65) beta; urgency=medium

  * Update steam-devices subproject up to 2020-07-28
    - Replace escaped double quotes in udev rules with single quotes, for
      compatibility with udev < 235 and eudev.
      (thanks, James Le Cuirot) (Fixes: steam-devices#10)
  * bin_steamdeps: Install bubblewrap on Debian systems.
    The Steam container runtime relies on bubblewrap to launch containers.
    The Debian kernel doesn't allow unprivileged users to create new
    user namespaces by default, so we have to install an OS-provided,
    setuid-root bubblewrap executable instead of using the unprivileged
    copy bundled with pressure-vessel.
    (Fixes: T22758; see also Debian#898446)
  * bin_steamdeps: Make pycodestyle happier
  * bin_steamdeps: Add a --dry-run mode

 -- Simon McVittie <smcv@collabora.com>  Wed, 29 Jul 2020 16:37:42 +0100

## steam 1.0.0.67

=== debian/changelog ===
steam (1:1.0.0.67) beta; urgency=medium

  [ Ludovico de Nittis ]
  * bin_steamdeps: parse /usr/lib/os-release as a fallback
  * bin_steamdeps: don't discard the remapped pkg if it misses a multiarch
  * bin_steamdeps: Choose the most appropriate XDG portal backend.
    When we start to include an XDG portal backend to the list of Steam
    dependencies we want to choose the most appropriate backend based on the
    current running system.

  [ Simon McVittie ]
  * Update steam-devices subproject up to 2020-11-20
    - Add udev rules for DualSense (Playstation 5) controller
      (Fixes: steam-devices#12; thanks to Sam Lantinga and @cow_killer)
  * Build using updated Steam client:
    - Client timestamp 1603992987 (2020-10-29)
    - Steam Runtime version 0.20201005.0

 -- Simon McVittie <smcv@collabora.com>  Fri, 20 Nov 2020 16:16:41 +0000
